/*/////////////////////////////////////////Extcalc////////////////////////////////////////////
/////////////////////////////////Scientific Graphic Calculator////////////////////////////////

File:         calclocale.h
Authors:      Rainer Strobel          rainer1223@users.sourceforge.net
              Eugene Clement          pixonet@yahoo.com
Homepage:     http://extcalc-linux.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Localization file for the complete Extcalc calculator.
This file contains preprocessor definitions for all text strings in Extcalc that have to
be translated.
English, German and French is currently supported.
The installation language is set by the configure script. Default is English.
This program is currently translated into French by Eugene Clement.
////////////////////////////////////////////////////////////////////////////////////////////*/

//This macros will be defined by the configure-script at a normal installation
#ifndef INSTALLDIR
#define INSTALLDIR "/usr/local/share/extcalc"
#endif

#define EXTCALCH_MSG1 qApp->translate("001","Error loading icon")
#define EXTCALCH_MSG2 qApp->translate("002","Error loading license")
#define EXTCALCH_STR1 qApp->translate("003","This programme ist distributed under the terms of GPL v2.\n\nFile not found.")
#define EXTCALCH_STR2 qApp->translate("004","This programme ist distributed under the terms of GPL v2.\n\n")
#define EXTCALCH_STR3 qApp->translate("005","Version")
#define EXTCALCH_STR4 qApp->translate("006","Authors")
#define EXTCALCH_STR5 qApp->translate("007","License")
#define EXTCALCH_STR6 qApp->translate("008","Calculator")
#define EXTCALCH_STR7 qApp->translate("009","Another Calculator")
#define EXTCALCH_STR8 qApp->translate("010","Graphics")
#define EXTCALCH_STR9 qApp->translate("011","Tables")
#define EXTCALCH_STR12 qApp->translate("012","Script Editor")
#define EXTCALCH_STR13 qApp->translate("013","Script Console")
#define EXTCALCH_STR14 qApp->translate("014","Import/Export Script")
#define EXTCALCH_STR15 qApp->translate("015","Import Script File")
#define EXTCALCH_STR16 qApp->translate("016","File name to import")
#define EXTCALCH_STR17 qApp->translate("017","File name to save")
#define EXTCALCH_STR18 qApp->translate("018","Export Script File")
#define EXTCALCH_STR19 qApp->translate("019","Script file to export")
#define EXTCALCH_STR21 qApp->translate("020","Unable to read variables file: ")
#define EXTCALCH_STR22 qApp->translate("021","Unable to write variables file: ")
#define EXTCALCH_MENU1 qApp->translate("022","Degree (DEG)")
#define EXTCALCH_MENU2 qApp->translate("023","Radian (RAD)")
#define EXTCALCH_MENU3 qApp->translate("024","Grad (GRA)")
#define EXTCALCH_MENU4 qApp->translate("025","Fixed number of digits")
#define EXTCALCH_MENU5 qApp->translate("026","Variable number of digits")
#define EXTCALCH_MENU6 qApp->translate("027","With symbol")
#define EXTCALCH_MENU7 qApp->translate("028","Number of digits")
#define EXTCALCH_MENU8 qApp->translate("029","Angle")
#define EXTCALCH_MENU9 qApp->translate("030","Output Format")
#define EXTCALCH_MENU10 qApp->translate("031","Calculator Preferences")
#define EXTCALCH_MENU11 qApp->translate("032","Graphics Preferences")
#define EXTCALCH_MENU12 qApp->translate("033","Extcalc Help")
#define EXTCALCH_MENU13 qApp->translate("034","Info")
#define EXTCALCH_MENU14 qApp->translate("035","&File")
#define EXTCALCH_MENU15 qApp->translate("036","&Preferences")
#define EXTCALCH_MENU16 qApp->translate("037","&Calculator")
#define EXTCALCH_MENU17 qApp->translate("038","&Graphic")
#define EXTCALCH_MENU18 qApp->translate("039","&Help")
#define EXTCALCH_MENU19 qApp->translate("040","Set Standard Coordinates")
#define EXTCALCH_MENU20 qApp->translate("041","Set Trigonometric Coordinates")
#define EXTCALCH_MENU21 qApp->translate("042","Show Axes")
#define EXTCALCH_MENU22 qApp->translate("043","Show Labels")
#define EXTCALCH_MENU23 qApp->translate("044","Show Raster")
#define EXTCALCH_MENU24 qApp->translate("045","Constant Width-To-Height-Ratio")
#define EXTCALCH_MENU25 qApp->translate("046","Coordinate System")
#define EXTCALCH_MENU26 qApp->translate("047","Graph Type")
#define EXTCALCH_MENU27 qApp->translate("048","Binary (BIN)")
#define EXTCALCH_MENU28 qApp->translate("049","Octal (OCT)")
#define EXTCALCH_MENU29 qApp->translate("050","Decimal (DEC)")
#define EXTCALCH_MENU30 qApp->translate("051","Hexadecimal (HEX)")
#define EXTCALCH_MENU31 qApp->translate("052","Scientific Mode")
#define EXTCALCH_MENU32 qApp->translate("053","Base Mode")
#define EXTCALCH_MENU33 qApp->translate("054","Base")
#define EXTCALCH_MENU34 qApp->translate("055","Mode")
#define EXTCALCH_MENU35 qApp->translate("056","Standard")
#define EXTCALCH_MENU36 qApp->translate("057","Polar")
#define EXTCALCH_MENU37 qApp->translate("058","3D-Graph")
#define EXTCALCH_MENU38 qApp->translate("059","Normal")
#define EXTCALCH_MENU39 qApp->translate("060","Polar")
#define EXTCALCH_MENU40 qApp->translate("061","Parameter")
#define EXTCALCH_MENU41 qApp->translate("062","Inequality")
#define EXTCALCH_MENU42 qApp->translate("063","3D")
#define EXTCALCH_MENU43 qApp->translate("064","Standard Values")
#define EXTCALCH_MENU44 qApp->translate("065","Function Type")
#define EXTCALCH_MENU45 qApp->translate("066","Table Preferences")
#define EXTCALCH_MENU46 qApp->translate("067","Table")
#define EXTCALCH_MENU47 qApp->translate("068","Undo")
#define EXTCALCH_MENU48 qApp->translate("069","Redo")
#define EXTCALCH_MENU49 qApp->translate("070","Cut")
#define EXTCALCH_MENU50 qApp->translate("071","Copy")
#define EXTCALCH_MENU51 qApp->translate("072","Paste")
#define EXTCALCH_MENU52 qApp->translate("073","View Calculator")
#define EXTCALCH_MENU53 qApp->translate("074","View Second Calculator")
#define EXTCALCH_MENU54 qApp->translate("075","View Graph Window")
#define EXTCALCH_MENU55 qApp->translate("076","View Table Window")
#define EXTCALCH_MENU56 qApp->translate("077","View Scripting Window")
#define EXTCALCH_MENU57 qApp->translate("078","Quit")
#define EXTCALCH_MENU58 qApp->translate("079","&Edit")
#define EXTCALCH_MENU59 qApp->translate("080","&View")
#define EXTCALCH_MENU60 qApp->translate("081","Scripting Preferences")
#define EXTCALCH_MENU61 qApp->translate("082","View Script Console")
#define EXTCALCH_MENU62 qApp->translate("083","Export Script")
#define EXTCALCH_MENU63 qApp->translate("084","Import Script")
#define EXTCALCH_MENU64 qApp->translate("085","Always clear Array Memory")
#define EXTCALCH_MENU65 qApp->translate("086","Clear Array Memory now")
#define EXTCALCH_MENU66 qApp->translate("087","Script")
#define EXTCALCH_MENU67 qApp->translate("088","Complex")
#define EXTCALCH_MENU68 qApp->translate("089","Reset Input Values")
#define EXTCALCH_MENU69 qApp->translate("090","Clear Graphics Window")
#define EXTCALCH_MENU70 qApp->translate("091","Automatic Graph Clear")
#define EXTCALCH_MENU71 qApp->translate("092","Show Points")
#define EXTCALCH_MENU72 qApp->translate("093","Show Lines")
#define EXTCALCH_MENU73 qApp->translate("094","Matrix/Vector")
#define EXTCALCH_MENU74 qApp->translate("095","Statistics")
#define EXTCALCH_MENU75 qApp->translate("096","Welcome to Extcalc!\n\nThis seems to be the first time, you start this program.\nFor this reason, Extcalc must create directories to store scripts and data.\nSay yes, if you want to change the script configuration!")
#define EXTCALCH_MENU76 qApp->translate("097","Welcome to the new version of Extcalc!\n\nThis seems to be the first time, you start the new version of Extcalc.\nThe new version ships some default script programs.\nThe script directories must exist to make them usable.\nSay yes, if you want to change the script configuration!")
#define EXTCALCH_MENU77 qApp->translate("098","Default directories created.")
#define EXTCALCH_MENU78 qApp->translate("099","Complex")
#define EXTCALCC_MSG1 qApp->translate("100","Error writing configfile: ")
#define EXTCALCC_MSG3 qApp->translate("101","Error loading configfile: ")
#define EXTCALCC_MSG6 qApp->translate("102","File outside script code directory: ")
#define EXTCALCC_MSG8 qApp->translate("103","Really overwrite this file?\n\n")
#define EXTCALCC_MSG9 qApp->translate("104","Choose a script file to export")
#define EXTCALCC_MSG10 qApp->translate("105","Choose a file to import")
#define EXTCALCC_MSG11 qApp->translate("106","open file dialog")
#define EXTCALCC_MSG12 qApp->translate("107","save file dialog")
#define EXTCALCC_MSG13 qApp->translate("108","Choose a filename to save under")
#define GLOBALH_STR1 qApp->translate("109","Authors:\nRainer Strobel\nProgramming and development\nEugene Clement\nTranslation")
#define CALCWIDGETH_STR4 qApp->translate("110","Change View")
#define CALCWIDGETH_STR5 qApp->translate("111","Scientific/Base Mode")
#define CALCWIDGETH_STR6 qApp->translate("112","Set Base")
#define CALCWIDGETH_STR7 qApp->translate("113","Set Angle")
#define CALCWIDGETH_STR8 qApp->translate("114","Function Catalog")
#define CALCWIDGETC_MENU1 qApp->translate("115","&Undo\tCtrl+Z")
#define CALCWIDGETC_MENU2 qApp->translate("116","&Redo\tCtrl+Y")
#define CALCWIDGETC_MENU3 qApp->translate("117","Cu&t\tCtrl+X")
#define CALCWIDGETC_MENU4 qApp->translate("118","&Copy\tCtrl+C")
#define CALCWIDGETC_MENU5 qApp->translate("119","&Paste\tCtrl+V")
#define CALCPREFH_STR1 qApp->translate("120","Save")
#define CALCPREFH_STR2 qApp->translate("121","Cancel")
#define CALCPREFH_STR3 qApp->translate("122","Angle")
#define CALCPREFH_STR4 qApp->translate("123","Output Type")
#define CALCPREFH_STR5 qApp->translate("124","Output Digits")
#define CALCPREFH_STR6 qApp->translate("125","Mode")
#define CALCPREFH_STR7 qApp->translate("126","Base")
#define CALCPREFH_STR8 qApp->translate("127","Fixed Number of Digits")
#define CALCPREFH_STR9 qApp->translate("128","Variable Number of Digits")
#define CALCPREFH_STR10 qApp->translate("129","With Symbols")
#define CALCPREFH_STR11 qApp->translate("130","Scientific")
#define CALCPREFH_STR12 qApp->translate("131","Base")
#define CALCPREFH_STR13 qApp->translate("132","Complex")
#define INFOSTRING qApp->translate("133","Extcalc:\nGraphic scientific calculator\n\n")
#define DEVVERSION qApp->translate("134","Beta version\nThis program is still in development\n(it may still have a few errors)  \n\n")
#define GRAPHH_STR1 qApp->translate("135","Print")
#define GRAPHH_STR3 qApp->translate("136","Analyse")
#define GRAPHH_STR4 qApp->translate("137","Calculate Y-value")
#define GRAPHH_STR5 qApp->translate("138","Calculate Roots")
#define GRAPHH_STR6 qApp->translate("139","Newton's Method")
#define GRAPHH_STR7 qApp->translate("140","Calculate X-values")
#define GRAPHH_STR8 qApp->translate("141","Points of intersection")
#define GRAPHH_STR9 qApp->translate("142","Maximum- and minimum values")
#define GRAPHH_STR10 qApp->translate("143","calculate Integral")
#define GRAPHH_STR11 qApp->translate("144","calculate Differential")
#define GRAPHH_STR12 qApp->translate("145","Function")
#define GRAPHH_STR13 qApp->translate("146","Color")
#define GRAPHH_STR14 qApp->translate("147","Active")
#define GRAPHH_STR15 qApp->translate("148","normal y(x)=x")
#define GRAPHH_STR16 qApp->translate("149","polar r(x)=x")
#define GRAPHH_STR17 qApp->translate("150","parameter x=T; y=T")
#define GRAPHH_STR18 qApp->translate("151","3d y(xz)=xz")
#define GRAPHH_STR20 qApp->translate("152","inequality y(x)>x")
#define GRAPHH_STR21 qApp->translate("153","inequality y(x)<x")
#define GRAPHH_STR22 qApp->translate("154","inequality y(x)>=x")
#define GRAPHH_STR23 qApp->translate("155","inequality y(x)<=x")
#define GRAPHH_STR24 qApp->translate("156","Type")
#define GRAPHH_STR25 qApp->translate("157","calculate Z-values")
#define GRAPHH_STR26 qApp->translate("158","Save and modify")
#define GRAPHH_STR27 qApp->translate("159","Edit")
#define GRAPHH_STR28 qApp->translate("160","Anlayse")
#define GRAPHH_STR29 qApp->translate("161","Screenshot")
#define GRAPHH_STR30 qApp->translate("162","Nyquist Plots")
#define GRAPHH_COL1 qApp->translate("163","black")
#define GRAPHH_COL2 qApp->translate("164","grey")
#define GRAPHH_COL3 qApp->translate("165","brown")
#define GRAPHH_COL4 qApp->translate("166","green")
#define GRAPHH_COL5 qApp->translate("167","blue")
#define GRAPHH_COL6 qApp->translate("168","magenta")
#define GRAPHH_COL7 qApp->translate("169","orange")
#define GRAPHH_COL8 qApp->translate("170","red")
#define GRAPHH_COL9 qApp->translate("171","yellow")
#define GRAPHH_COL10 qApp->translate("172","cyan")
#define GRAPHH_COL11 qApp->translate("173","colored")
#define GRAPHC_STR3 qApp->translate("174","Analyse")
#define GRAPHC_STR4 qApp->translate("175","Edit Mode")
#define GRAPHC_STR5 qApp->translate("176","Stop")
#define GRAPHOUTC_STR1 qApp->translate("177","Extcalc - Draw Text")
#define GRAPHOUTC_STR2 qApp->translate("178","Enter text to draw:")
#define GRAPHPREFH_STR1 qApp->translate("179","Extcalc - Preferences")
#define GRAPHPREFH_STR2 qApp->translate("180","Cartesian Coordinate System")
#define GRAPHPREFH_STR3 qApp->translate("181","Raster")
#define GRAPHPREFH_STR4 qApp->translate("182","Axes")
#define GRAPHPREFH_STR5 qApp->translate("183","Labels")
#define GRAPHPREFH_STR6 qApp->translate("184","constant width-to-height ratio")
#define GRAPHPREFH_STR7 qApp->translate("185","X-Scale")
#define GRAPHPREFH_STR8 qApp->translate("186","Y-Scale")
#define GRAPHPREFH_STR9 qApp->translate("187","Coordinate System Format:")
#define GRAPHPREFH_STR10 qApp->translate("188","Polar Coordinate System")
#define GRAPHPREFH_STR11 qApp->translate("189","max angle:")
#define GRAPHPREFH_STR12 qApp->translate("190","max radius:")
#define GRAPHPREFH_STR13 qApp->translate("191","angle scale:")
#define GRAPHPREFH_STR14 qApp->translate("192","radius scale:")
#define GRAPHPREFH_STR15 qApp->translate("193","Standard")
#define GRAPHPREFH_STR16 qApp->translate("194","Polar")
#define GRAPHPREFH_STR17 qApp->translate("195","3D-Graph")
#define GRAPHPREFH_STR18 qApp->translate("196","Range of Parameter T:")
#define GRAPHPREFH_STR19 qApp->translate("197","Start:")
#define GRAPHPREFH_STR20 qApp->translate("198","End:")
#define GRAPHPREFH_STR21 qApp->translate("199","Z-Scale")
#define GRAPHPREFH_STR22 qApp->translate("200","Steps")
#define GRAPHPREFH_STR23 qApp->translate("201","Standard")
#define GRAPHPREFH_STR24 qApp->translate("202","Preferences for Parameter A:")
#define GRAPHPREFH_STR25 qApp->translate("203","Start:")
#define GRAPHPREFH_STR26 qApp->translate("204","End:")
#define GRAPHPREFH_STR27 qApp->translate("205","Steps:")
#define GRAPHPREFH_STR28 qApp->translate("206","Delay Time (*10ms):")
#define GRAPHPREFH_STR29 qApp->translate("207","Automatic Mode")
#define GRAPHPREFH_STR30 qApp->translate("208","Count up only")
#define GRAPHPREFH_STR31 qApp->translate("209","Count up and down")
#define GRAPHPREFH_STR32 qApp->translate("210","Coordinate Systems")
#define GRAPHPREFH_STR33 qApp->translate("211","Precision/Performance")
#define GRAPHPREFH_STR34 qApp->translate("212","Parameter Range")
#define GRAPHPREFH_STR35 qApp->translate("213","Calculation steps for 2D-Graphs")
#define GRAPHPREFH_STR36 qApp->translate("214","Calculation steps for 3D-Graphs")
#define GRAPHPREFH_STR37 qApp->translate("215","Parameter graph steps")
#define GRAPHPREFH_STR38 qApp->translate("216","Steps for Nyquist Plot")
#define GRAPHPREFH_STR39 qApp->translate("217","Graph Analysation Precision")
#define GRAPHPREFH_STR40 qApp->translate("218","Low")
#define GRAPHPREFH_STR41 qApp->translate("219","Standard")
#define GRAPHPREFH_STR42 qApp->translate("220","High")
#define GRAPHPREFH_STR43 qApp->translate("221","Draw 3D-Graphs as Grid")
#define GRAPHPREFH_STR44 qApp->translate("222","Parameter Z for Nyquist plots (2D only)")
#define GRAPHPREFH_STR45 qApp->translate("223","Start value:")
#define GRAPHPREFH_STR46 qApp->translate("224","End value:")
#define GRAPHPREFH_STR47 qApp->translate("225","Use logarithmic scale (10^Z)")
#define GRAPHPREFH_BTN1 qApp->translate("226","Standard")
#define GRAPHPREFH_BTN2 qApp->translate("227","Trigonometric")
#define GRAPHPREFH_BTN3 qApp->translate("228","Save")
#define GRAPHPREFH_BTN4 qApp->translate("229","Cancel")
#define GRAPHPREFC_STR1 qApp->translate("230","Error\n\nThe minimal X-value must be lower than the maximal X-value")
#define GRAPHPREFC_STR2 qApp->translate("231","Error\n\nThe minimal Y-value must be lower than the maximal Y-value")
#define GRAPHPREFC_STR3 qApp->translate("232","Error\n\nX-Scale must be positive")
#define GRAPHPREFC_STR4 qApp->translate("233","Error\n\nY-Scale must be positive")
#define GRAPHPREFC_STR5 qApp->translate("234","Error\n\nPlease choose two different functions!")
#define GRAPHPREFC_STR6 qApp->translate("235","Error\n\nToo many results!")
#define GRAPHPREFC_STR7 qApp->translate("236","Max angle must be greater than zero")
#define GRAPHPREFC_STR8 qApp->translate("237","Max Radius must be greater than zero")
#define GRAPHPREFC_STR9 qApp->translate("238","Angle scale must be greater than zero")
#define GRAPHPREFC_STR10 qApp->translate("239","Radius scale must be greater than zero")
#define GRAPHPREFC_STR11 qApp->translate("240","Parameter start value must be less than parameter end value")
#define GRAPHPREFC_STR12 qApp->translate("241","Error\n\nZ-scale must be positive")
#define GRAPHPREFC_STR13 qApp->translate("242","Error\n\nThe minimal Z-value must be lower than the maximal Z-value")
#define GRAPHPREFC_STR14 qApp->translate("243","Steps must be greather than 0")
#define GRAPHPREFC_STR15 qApp->translate("244","Dynamic parameter end must be greather than start!")
#define GRAPHPREFC_STR16 qApp->translate("245","Delay time must be greather than 0")
#define GRAPHSOLVEH_STR1 qApp->translate("246","Calculate")
#define GRAPHSOLVEH_STR2 qApp->translate("247","Parameter A:")
#define GRAPHSOLVEH_STR3 qApp->translate("248","Width")
#define GRAPHSOLVEH_STR4 qApp->translate("249","Save")
#define GRAPHSOLVEH_STR5 qApp->translate("250","Undo")
#define GRAPHSOLVEH_STR6 qApp->translate("251","Redo")
#define GRAPHSOLVEH_STR7 qApp->translate("252","Clear")
#define GRAPHSOLVEH_STR8 qApp->translate("253","Color")
#define GRAPHSOLVEC_STR1 qApp->translate("254","Insert X-Value:")
#define GRAPHSOLVEC_STR2 qApp->translate("255","Y-Values:")
#define GRAPHSOLVEC_STR3 qApp->translate("256","Choose Function:")
#define GRAPHSOLVEC_STR4 qApp->translate("257","Roots:")
#define GRAPHSOLVEC_STR5 qApp->translate("258","Start Point:")
#define GRAPHSOLVEC_STR6 qApp->translate("259","Steps:")
#define GRAPHSOLVEC_STR7 qApp->translate("260","X-Values:")
#define GRAPHSOLVEC_STR8 qApp->translate("261","Y-Value:")
#define GRAPHSOLVEC_STR9 qApp->translate("262","Points of Intersection:")
#define GRAPHSOLVEC_STR10 qApp->translate("263","1. Function")
#define GRAPHSOLVEC_STR11 qApp->translate("264","2. Function")
#define GRAPHSOLVEC_STR12 qApp->translate("265","Start Point:")
#define GRAPHSOLVEC_STR13 qApp->translate("266","End Point:")
#define GRAPHSOLVEC_STR14 qApp->translate("267","X-Value:")
#define GRAPHSOLVEC_STR15 qApp->translate("268","Invalid start point")
#define GRAPHSOLVEC_STR16 qApp->translate("269","Invalid end point")
#define GRAPHSOLVEC_STR17 qApp->translate("270","Invalid X-Value")
#define GRAPHSOLVEC_STR18 qApp->translate("271","Extreme Values")
#define GRAPHSOLVEC_STR19 qApp->translate("272","Results")
#define GRAPHSOLVEC_STR20 qApp->translate("273","X-value")
#define GRAPHSOLVEC_STR21 qApp->translate("274","Y-value")
#define GRAPHSOLVEC_STR22 qApp->translate("275","Z-value")
#define GRAPHSOLVEC_STR23 qApp->translate("276","T-value")
#define GRAPHSOLVEC_STR24 qApp->translate("277","z start:")
#define GRAPHSOLVEC_STR25 qApp->translate("278","end:")
#define GRAPHSOLVEC_STR26 qApp->translate("279","x start:")
#define GRAPHSOLVEC_STR27 qApp->translate("280","end:")
#define GRAPHSOLVEC_STR28 qApp->translate("281","Path:")
#define GRAPHSOLVEC_STR29 qApp->translate("282","Resolution:")
#define GRAPHSOLVEC_STR30 qApp->translate("283","File format:")
#define GRAPHSOLVEC_STR31 qApp->translate("284","Please insert a valid path to save screenshot")
#define GRAPHSOLVEC_STR32 qApp->translate("285","Really overwrite file ")
#define GRAPHSOLVEC_STR33 qApp->translate("286"," is no valid file.\n Can't overwrite it!")
#define GRAPHSOLVEC_STR34 qApp->translate("287","Screenshot saved")
#define GRAPHSOLVEC_STR35 qApp->translate("288","Error saving screenshot")
#define GRAPHSOLVEC_STR36 qApp->translate("289","Images (*.png *.xpm *.jpg *.bmp)")
#define GRAPHSOLVEC_STR37 qApp->translate("290","Choose a filename to save under")
#define GRAPHSOLVEC_STR38 qApp->translate("291","Color Dialog")
#define GRAPHSOLVEC_STR39 qApp->translate("292","Insert real value")
#define GRAPHSOLVEC_STR40 qApp->translate("293","Imaginary values")
#define GRAPHSOLVEC_STR41 qApp->translate("294","Real values")
#define GRAPHSOLVEC_STR42 qApp->translate("295","Imaginary value")
#define GRAPHSOLVEC_STR43 qApp->translate("296","By Extension")
#define GRAPHSOLVEC_STR44 qApp->translate("297","Unknown file format!\nAssuming png.")
#define TABLEH_STR1 qApp->translate("298","Calculate")
#define TABLEH_STR3 qApp->translate("299","normal")
#define TABLEH_STR4 qApp->translate("300","polar")
#define TABLEH_STR5 qApp->translate("301","parameter")
#define TABLEH_STR6 qApp->translate("302","inequality")
#define TABLEH_STR7 qApp->translate("303","3D")
#define TABLEH_STR8 qApp->translate("304","Minimize")
#define TABLEH_STR9 qApp->translate("305","Complex")
#define TABLEH_STR10 qApp->translate("306","Extcalc - Table")
#define TABLEH_STR11 qApp->translate("307","Enter column value ")
#define TABLEH_STR12 qApp->translate("308","Enter row value ")
#define TABLEH_STR13 qApp->translate("309","Change View")
#define TABLEH_STR14 qApp->translate("310","Choose Function Type")
#define TABLEH_STR15 qApp->translate("311","Function Catalog")
#define TABLEPREFH_STR1 qApp->translate("312","Table Preferences")
#define TABLEPREFH_STR2 qApp->translate("313","Function Type:")
#define TABLEPREFH_STR3 qApp->translate("314","Parameter x, T start value")
#define TABLEPREFH_STR4 qApp->translate("315","Steps")
#define TABLEPREFH_STR5 qApp->translate("316","End value")
#define TABLEPREFH_STR6 qApp->translate("317","Parameter Z start value")
#define TABLEPREFH_STR7 qApp->translate("318","End value")
#define TABLEPREFH_STR8 qApp->translate("319","Steps")
#define TABLEPREFH_STR9 qApp->translate("320","Save")
#define TABLEPREFH_STR10 qApp->translate("321","Cancel")
#define TABLEPREFH_STR11 qApp->translate("322","Table Preferences")
#define TABLEPREFH_STR12 qApp->translate("323","Parameter X,T,complex Z")
#define TABLEPREFH_STR13 qApp->translate("324","Parameter Z (3D)")
#define TABLEPREFH_STR14 qApp->translate("325","Value for dynamic parameter A:")
#define TABLEPREFH_STR15 qApp->translate("326","Start:")
#define TABLEPREFH_STR16 qApp->translate("327","Steps:")
#define TABLEPREFH_STR17 qApp->translate("328","End:")
#define TABLEPREFC_STR1 qApp->translate("329","X-Start value invalid")
#define TABLEPREFC_STR2 qApp->translate("330","X-End value invalid")
#define TABLEPREFC_STR3 qApp->translate("331","Z-Start value invalid")
#define TABLEPREFC_STR4 qApp->translate("332","Z-End value invalid")
#define TABLEPREFC_STR5 qApp->translate("333","X-End value must be greather then X-Start value")
#define TABLEPREFC_STR6 qApp->translate("334","Z-End value must be greather then Z-Start value")
#define TABLEPREFC_STR7 qApp->translate("335","X-Steps must be greather than 0")
#define TABLEPREFC_STR8 qApp->translate("336","Z-Steps must be greather than 0")
#define SCRIPTIO_STR1 qApp->translate("337","Kill")
#define SCRIPTIO_STR2 qApp->translate("338","Script could not be stopped.\nYou may press the kill button again.")
#define SCRIPTIO_STR3 qApp->translate("339","\n*** killed ***\n")
#define SCRIPTIO_STR4 qApp->translate("340","\n*** finish ***\n")
#define SCRIPTIO_STR5 qApp->translate("341","You are already running a script.\nKill it?")
#define SCRIPTIO_STR6 qApp->translate("342","\n*** script ***\n")
#define SCRIPTIO_STR7 qApp->translate("343","Run")
#define SCRIPTIO_STR8 qApp->translate("344","\nProcessing main file ...")
#define SCRIPTIO_STR9 qApp->translate("345","\nProcessing file ")
#define SCRIPTIO_STR10 qApp->translate("346","\nScript sucessfully loaded.\nNow you can press run.\n")
#define SCRIPTIO_STR11 qApp->translate("347","\nProcessing script failed!\n")
#define SCRIPTIO_STR12 qApp->translate("348","Copy\tCtrl-C")
#define SCRIPTIO_STR13 qApp->translate("349","Paste\tCtrl-V")
#define SCRIPTIO_STR14 qApp->translate("350","Select All\tCtrl-A")
#define SCRIPTIO_STR15 qApp->translate("351","Clear All")
#define SCRIPTEDITH_STR2 qApp->translate("352","Run")
#define SCRIPTEDITH_STR3 qApp->translate("353","Save")
#define SCRIPTEDITH_STR4 qApp->translate("354","Update View")
#define SCRIPTEDITH_STR5 qApp->translate("355","New Code File")
#define SCRIPTEDITH_STR6 qApp->translate("356","New Directory")
#define SCRIPTEDITH_STR7 qApp->translate("357","Save")
#define SCRIPTEDITH_STR8 qApp->translate("358","Save All")
#define SCRIPTEDITH_STR9 qApp->translate("359","Rename")
#define SCRIPTEDITH_STR10 qApp->translate("360","Delete")
#define SCRIPTEDITH_STR11 qApp->translate("361","Files")
#define SCRIPTEDITH_STR12 qApp->translate("362","Create new script file")
#define SCRIPTEDITH_STR13 qApp->translate("363","Save changes of current file")
#define SCRIPTEDITH_STR14 qApp->translate("364","Save changes of all modified files")
#define SCRIPTEDITH_STR15 qApp->translate("365","Undo")
#define SCRIPTEDITH_STR16 qApp->translate("366","Redo")
#define SCRIPTEDITH_STR17 qApp->translate("367","Cut")
#define SCRIPTEDITH_STR18 qApp->translate("368","Copy")
#define SCRIPTEDITH_STR19 qApp->translate("369","Paste")
#define SCRIPTEDITH_STR20 qApp->translate("370","Import script file")
#define SCRIPTEDITH_STR21 qApp->translate("371","Export script file")
#define SCRIPTEDITH_STR22 qApp->translate("372","Run current script")
#define SCRIPTEDITH_STR23 qApp->translate("373","Switch to minimized view")
#define SCRIPTEDITH_STR24 qApp->translate("374","Function Catalog")
#define SCRIPTEDITC_STR4 qApp->translate("375","Do you want to save your changes?")
#define SCRIPTEDITC_STR5 qApp->translate("376","Rename File")
#define SCRIPTEDITC_STR6 qApp->translate("377","Insert new file name:")
#define SCRIPTEDITC_STR7 qApp->translate("378","Invalid name for renaming!")
#define SCRIPTEDITC_STR8 qApp->translate("379","Renaming of the following file failed:\n\n")
#define SCRIPTEDITC_STR9 qApp->translate("380","Really delete the following file?\n\n")
#define SCRIPTEDITC_STR10 qApp->translate("381","Removing of the following file failed:\n\n")
#define SCRIPTEDITC_STR12 qApp->translate("382","Save current File?")
#define SCRIPTEDITC_STR13 qApp->translate("383","Choose filename to create")
#define SCRIPTEDITC_STR14 qApp->translate("384","Can't create file outside script directory")
#define SCRIPTEDITC_STR15 qApp->translate("385","Really overwrite this file?\n\n ")
#define SCRIPTEDITC_STR16 qApp->translate("386","Unable to create file:\n\n")
#define SCRIPTEDITC_STR17 qApp->translate("387","Create directory")
#define SCRIPTEDITC_STR18 qApp->translate("388","Insert direcotry name:")
#define SCRIPTEDITC_STR19 qApp->translate("389","Invalid directory name")
#define SCRIPTEDITC_STR20 qApp->translate("390","Creating directory failed")
#define SCRIPTEDITC_STR21 qApp->translate("391","Choose filename to save")
#define SCRIPTEDITC_STR22 qApp->translate("392","Can't save file outside script directory")
#define SCRIPTEDITC_STR23 qApp->translate("393","Unable to save file:")
#define SCRIPTEDITC_STR24 qApp->translate("394","Some code files have been modified.\n\nDo you want to save your changes?")
#define SCRIPTEDITC_STR25 qApp->translate("395","Error saving file ")
#define SCRIPTPREFH_STR1 qApp->translate("396","Scripting Preferences")
#define SCRIPTPREFH_STR2 qApp->translate("397","Path to scripting root directory")
#define SCRIPTPREFH_STR3 qApp->translate("398","Name of code subdirectory")
#define SCRIPTPREFH_STR4 qApp->translate("399","Name of data subdirectory")
#define SCRIPTPREFH_STR5 qApp->translate("400","Save")
#define SCRIPTPREFH_STR6 qApp->translate("401","Cancel")
#define SCRIPTPREFH_STR7 qApp->translate("402","Search")
#define SCRIPTPREFH_STR8 qApp->translate("403","Clear array memory after script running")
#define SCRIPTPREFC_STR1 qApp->translate("404","Please insert complete Path")
#define SCRIPTPREFC_STR2 qApp->translate("405","Can't create scripting root directory")
#define SCRIPTPREFC_STR3 qApp->translate("406","Invalid path to scripting root directory")
#define SCRIPTPREFC_STR4 qApp->translate("407","Can't create code subdirectory")
#define SCRIPTPREFC_STR5 qApp->translate("408","Invalid scripting subdirectory name")
#define SCRIPTPREFC_STR6 qApp->translate("409","Can't create data subdirectory")
#define SCRIPTPREFC_STR7 qApp->translate("410","Invalid data subdirectory name")
#define SCRIPTPREFC_STR8 qApp->translate("411","Choose a directory")
#define MATRIXWIDGETH_STR1 qApp->translate("412","Type")
#define MATRIXWIDGETH_STR2 qApp->translate("413","Rows")
#define MATRIXWIDGETH_STR3 qApp->translate("414","Columns")
#define MATRIXWIDGETH_STR4 qApp->translate("415","Calculator")
#define MATRIXWIDGETH_STR5 qApp->translate("416","Solve Equations")
#define MATRIXWIDGETH_STR6 qApp->translate("417","Generate Matrix")
#define MATRIXWIDGETH_STR7 qApp->translate("418","Analyse Matrix")
#define MATRIXWIDGETH_STR8 qApp->translate("419","Inverse Matrix")
#define MATRIXWIDGETH_STR9 qApp->translate("420","Calculate")
#define MATRIXWIDGETH_STR10 qApp->translate("421","Set")
#define MATRIXWIDGETH_STR11 qApp->translate("422","no vector")
#define MATRIXWIDGETH_STR12 qApp->translate("423","Identity Matrix")
#define MATRIXWIDGETH_STR13 qApp->translate("424","Zero Matrix")
#define MATRIXWIDGETH_STR14 qApp->translate("425","Zero Vector")
#define MATRIXWIDGETH_STR15 qApp->translate("426","X-Rotation Matrix")
#define MATRIXWIDGETH_STR16 qApp->translate("427","Y-Rotation Matrix")
#define MATRIXWIDGETH_STR17 qApp->translate("428","Z-Rotation Matrix")
#define MATRIXWIDGETH_STR18 qApp->translate("429","Scaling Matrix")
#define MATRIXWIDGETC_STR1 qApp->translate("430","Vector")
#define MATRIXWIDGETC_STR2 qApp->translate("431","Unknowns:")
#define MATRIXWIDGETC_STR3 qApp->translate("432","Matrix")
#define MATRIXWIDGETC_STR4 qApp->translate("433","Choose a Matrix\nor a Matrix and a Vector\nto insert data\n")
#define MATRIXWIDGETC_STR5 qApp->translate("434","Variable")
#define MATRIXWIDGETC_STR6 qApp->translate("435","Generate")
#define MATRIXWIDGETC_STR7 qApp->translate("436","Gauss")
#define MATRIXWIDGETC_STR8 qApp->translate("437","Type: Matrix")
#define MATRIXWIDGETC_STR9 qApp->translate("438","Dimensions:")
#define MATRIXWIDGETC_STR10 qApp->translate("439","Determinant:")
#define MATRIXWIDGETC_STR11 qApp->translate("440","not possible")
#define MATRIXWIDGETC_STR12 qApp->translate("441","Rank:")
#define MATRIXWIDGETC_STR13 qApp->translate("442","Type: Vector")
#define MATRIXWIDGETC_STR14 qApp->translate("443","Size:")
#define MATRIXWIDGETC_STR15 qApp->translate("444","Absolute:")
#define MATRIXWIDGETC_STR16 qApp->translate("445","Type: Scalar")
#define MATRIXWIDGETC_STR17 qApp->translate("446","Can't choose the same variable twice!\nChoose a matrix,\nor a matrix and a vector\nto insert data")
#define MATRIXWIDGETC_STR18 qApp->translate("447","Insert data \nand press calculate button")
#define MATRIXWIDGETC_STR19 qApp->translate("448","Press set button to adjust size")
#define MATRIXWIDGETC_STR20 qApp->translate("449","Insert data \nand press calculate button")
#define MATRIXWIDGETC_STR21 qApp->translate("450","Press set button to adjust size")
#define MATRIXWIDGETC_STR22 qApp->translate("451","x angle")
#define MATRIXWIDGETC_STR23 qApp->translate("452","y angle")
#define MATRIXWIDGETC_STR24 qApp->translate("453","z angle")
#define MATRIXWIDGETC_STR25 qApp->translate("454","x scale")
#define MATRIXWIDGETC_STR26 qApp->translate("455","y scale")
#define MATRIXWIDGETC_STR27 qApp->translate("456","z scale")
#define MATRIXWIDGETC_STR28 qApp->translate("457","More than one result found\nShowing matrix")
#define MATRIXWIDGETC_STR29 qApp->translate("458","No results found\nShowing matrix")
#define MATRIXWIDGETC_STR30 qApp->translate("459","Showing result Vector")
#define MATRIXWIDGETC_STR31 qApp->translate("460","Number of rows of matrix must \nbe equal to number of columns.")
#define MATRIXWIDGETC_STR32 qApp->translate("461","Can't calculate inverse matrix.\nDeterminant is equal 0.")
#define STATISTICSH_STR1 qApp->translate("462","Function Type")
#define STATISTICSH_STR2 qApp->translate("463","Input List Number")
#define STATISTICSH_STR3 qApp->translate("464","Result Function")
#define STATISTICSH_STR4 qApp->translate("465","Copy to")
#define STATISTICSH_STR5 qApp->translate("466","Copy")
#define STATISTICSH_STR6 qApp->translate("467","Approximate")
#define STATISTICSH_STR7 qApp->translate("468","Interpolate")
#define STATISTICSH_STR8 qApp->translate("469","Show Line-Graph")
#define STATISTICSH_STR9 qApp->translate("470","Normal Distribution")
#define STATISTICSH_STR10 qApp->translate("471","Distribution Graph")
#define STATISTICSH_STR11 qApp->translate("472","Steps")
#define STATISTICSH_STR12 qApp->translate("473","Calculate")
#define STATISTICSH_STR14 qApp->translate("474","Print")
#define STATISTICSC_STR2 qApp->translate("475","Really overwrite function f")
#define STATISTICSC_STR3 qApp->translate("476"," ?")
#define STATISTICSC_STR4 qApp->translate("477","Unable to write lists file: ")
#define STATISTICSC_STR5 qApp->translate("478","Unable to read lists file: ")
#define STATISTICSC_STR6 qApp->translate("479","For this approximation, at least one point is needed")
#define STATISTICSC_STR7 qApp->translate("480","For this approximation, at least two points were needed")
#define STATISTICSC_STR8 qApp->translate("481","For this approximation, at least three points were needed")
